# TColStd_HSequenceOfTransient.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TColStd_HSequenceOfTransient.hxx>`
`#include <TColStd_SequenceOfTransient.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_Standard_Transient.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_Standard_Transient
#define | Item_hxx <Standard_Transient.hxx>
#define | TheSequence TColStd_SequenceOfTransient
#define | TheSequence_hxx <TColStd_SequenceOfTransient.hxx>
#define | TCollection_HSequence TColStd_HSequenceOfTransient
#define | TCollection_HSequence_hxx <TColStd_HSequenceOfTransient.hxx>
#define | Handle_TCollection_HSequence Handle_TColStd_HSequenceOfTransient
#define | TCollection_HSequence_Type_() TColStd_HSequenceOfTransient_Type_()

## Functions

Handle_TColStd_HSequenceOfTransient | ShallowCopy (const Handle_TColStd_HSequenceOfTransient &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_TColStd_HSequenceOfTransient

#define Item Handle_Standard_Transient

#define Item_hxx <Standard_Transient.hxx>

#define TCollection_HSequence TColStd_HSequenceOfTransient

#define TCollection_HSequence_hxx <TColStd_HSequenceOfTransient.hxx>

#define TCollection_HSequence_Type_ | (

)

TColStd_HSequenceOfTransient_Type_()

#define TheSequence TColStd_SequenceOfTransient

#define TheSequence_hxx <TColStd_SequenceOfTransient.hxx>

## Function Documentation

Handle_TColStd_HSequenceOfTransient ShallowCopy | ( | const Handle_TColStd_HSequenceOfTransient & | me | ) | `[inline]`